Retrieve all Clusters
This endpoint enables retrieving all Clusters using pagination and optional filters.
The token can be generated using the Authentication API.
The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.
0Example: 0The maximum number of elements to return. Use this parameter together with the offset for pagination.
100Example: 100The name of your MariaDB cluster.
Must be 63 characters or less and must begin and end with an alphanumeric character ([a-z0-9A-Z])
with dashes (-), underscores (_), dots (.), and alphanumerics between.
cms-prodPattern: ^[A-Za-z0-9][-A-Za-z0-9_.]*[A-Za-z0-9]$The current lifecycle state of the cluster.
PROVISIONING: The system is actively applying the changes.AVAILABLE: The resource is fully operational with no pending changes.UPDATING: A modification is in progress.DESTROYING: The resource is being deleted.FAILED: The provisioning failed due to an internal error.
AVAILABLEPossible values: Returned all requested Clusters successfully.
Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.
ID of the list of Cluster resources.
ed17eb1f-ac43-5670-9e63-8be33c475449The type of the resource.
The URL of the list of Cluster resources.
/clustersThe offset specified in the request (if none was specified, the default offset is 0).
0The limit specified in the request (if none was specified, use the endpoint's default pagination limit).
42Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /v2/clusters HTTP/1.1
Host: mariadb.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "ed17eb1f-ac43-5670-9e63-8be33c475449",
"type": "collection",
"href": "/clusters",
"items": [
{
"id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
"type": "cluster",
"href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"statusMessage": "Update failed: insufficient storage quota.",
"dnsName": "ma-010203.mariadb.de-fra.ionoscloud.com"
},
"properties": {
"name": "cms-prod",
"description": "A cluster for the production CMS.",
"version": "11.4",
"instances": {
"count": 1,
"ram": 4,
"cores": 4,
"storageSize": 10
},
"connection": {
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"primaryInstanceAddress": "192.168.2.101/24"
},
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
},
"credentials": {
"username": "my_dbuser",
"database": "my_database"
},
"logsEnabled": false,
"metricsEnabled": false,
"backup": {
"location": "eu-central-3",
"retentionDays": 90
}
}
}
],
"offset": 0,
"limit": 42,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?